Bug 1539699 - tests/bugs/cli/bug-822830.t fails on Centos 7 and locally
Summary: tests/bugs/cli/bug-822830.t fails on Centos 7 and locally
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: cli
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On: 1536913
Blocks: 1503137 1539658
TreeView+ depends on / blocked
 
Reported: 2018-01-29 13:24 UTC by Atin Mukherjee
Modified: 2018-09-04 06:43 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1536913
Environment:
Last Closed: 2018-09-04 06:42:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:43:39 UTC

Description Atin Mukherjee 2018-01-29 13:24:57 UTC
+++ This bug was initially created as a clone of Bug #1536913 +++

This test fails because we don't reset errno to 0 before the strtol call. When it fails, it fails because errno = 101.

https://github.com/gluster/glusterfs/blob/master/libglusterfs/src/common-utils.c#L2441

--- Additional comment from Worker Ant on 2018-01-21 22:08:59 EST ---

REVIEW: https://review.gluster.org/19262 (libglusterfs: Reset errno before call) posted (#1) for review on master by Nigel Babu

--- Additional comment from Worker Ant on 2018-01-23 13:08:58 EST ---

COMMIT: https://review.gluster.org/19262 committed in master by \"Nigel Babu\" <nigelb@redhat.com> with a commit message- libglusterfs: Reset errno before call

This was causing Gluster to return a failure when testing on Centos7.

BUG: 1536913
Change-Id: Idb90baef05058123a7f69e94a51dd79abd371815
Signed-off-by: Nigel Babu <nigelb@redhat.com>

Comment 12 errata-xmlrpc 2018-09-04 06:42:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.